#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin >> n >> k;
    int a, res, prvi, indeks = -1;
    for(int i = 1; i <= n; i++)
    {
        cin >> a;
        if(i == 1) prvi = a;
        if(a == k && i != n) indeks = i;
        if(indeks + 1 == i) res = a;
        else if(i == n && a == k) res = prvi;
    }
    cout << res;
}